+  HandyCache форум
|-+  Главная категория» Дополнения, плагины» Ваш сопутсвующий софт к HC
Имя пользователя:
Пароль:
Страниц: 1 2 3 [4]  Все   Вниз
  Отправить эту тему    Печать  
Автор Тема: Ваш сопутсвующий софт к HC  (Прочитано 12226 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Zork
Пользователь
**

Репутация: +5/-2
Offline Offline

Сообщений: 53


« Ответ #60 : 23 Апрель 2018, 02:30:53 »

HKLM, вот так работает:
[SSL No-Verify]
coms-bwxszt8x.cont.ws/*
cdnjs.cloudflare.com
Сообщить модератору   Записан
HKLM
Старожил
****

Репутация: +4/-1
Offline Offline

Сообщений: 304


« Ответ #61 : 23 Апрель 2018, 05:34:20 »

Zork, у меня и это не работает. В НC есть одна ошибка
23.04.2018/09:30:11 local/127.0.0.1 http://coms-bwxszt8x.cont.ws/socket.io/?EIO=3&transport=websocket 34 34/226 100% 723 "400 Bad Request"
Сообщить модератору   Записан
Zork
Пользователь
**

Репутация: +5/-2
Offline Offline

Сообщений: 53


« Ответ #62 : 23 Апрель 2018, 07:12:28 »

HKLM, у меня ещё для браузера стоит правило в proxyfier - direct.
Может у Вас получится найти более простой способ )
Сообщить модератору   Записан
kichrot
Новичок
*

Репутация: +5/-0
Offline Offline

Сообщений: 35


« Ответ #63 : 26 Апрель 2018, 17:07:13 »

...
Еще бы версию поновее чем 1.4. На github и http:  www  .  prxbx . com / forums/showthread.php?tid=2191&page=16
версия 1.5

Судя по сообщениям на форуме версия 1.5 еще окончательно не готова.
Но я уже перешел. Замечаний не имею.
Сообщить модератору   Записан
HKLM
Старожил
****

Репутация: +4/-1
Offline Offline

Сообщений: 304


« Ответ #64 : 26 Апрель 2018, 22:08:37 »

Но я уже перешел. Замечаний не имею.

А как вы ставили pyOpenSSL-0.14.tar.gz  ?
Делал по этой инструкции http://www.prxbx.com/forums/showthread.php?tid=2191&pid=17572#pid17572
Не сказано что делать с этим архивом.
Если без него пытаюсь то:
Код:
Microsoft Windows XP [Версия 5.1.2600]
(С) Корпорация Майкрософт, 1985-2001.

C:\Documents and Settings\admin>cd c:\Python34\Scripts

C:\Python34\Scripts>pip install pyopenssl
Collecting pyopenssl
  Downloading https://files.pythonhosted.org/packages/79/db/7c0cfe4aa8341a5fab4638952520d8db6ab85ff84505e12c00ea311c3516/pyOpenSSL-17.5.0-py2.py3-none-any.whl (53kB)
    100% |################################| 57kB 238kB/s
Collecting six>=1.5.2 (from pyopenssl)
  Downloading https://files.pythonhosted.org/packages/67/4b/141a581104b1f6397bfa78ac9d43d8ad29a7ca43ea90a2d863fe3056e86a/six-1.11.0-py2.py3-none-any.whl
Collecting cryptography>=2.1.4 (from pyopenssl)
  Downloading https://files.pythonhosted.org/packages/ec/b2/faa78c1ab928d2b2c634c8b41ff1181f0abdd9adf9193211bd606ffa57e2/cryptography-2.2.2.tar.gz (443kB)
    100% |################################| 446kB 262kB/s
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 20, in <module>
      File "C:\DOCUME~1\admin\LOCALS~1\Temp\pip-build-u9jk6vt_\cryptography\setup.py", line 28, in <module>
        "cryptography requires setuptools 18.5 or newer, please upgrade to a "
    RuntimeError: cryptography requires setuptools 18.5 or newer, please upgrade to a newer version of setuptools

    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in C:\DOCUME~1\admin\LOCALS~1\Temp\pip-build-u9jk6vt_\cryptography
You are using pip version 7.1.2, however version 10.0.1 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.

C:\Python34\Scripts>
Сообщить модератору   Записан
kichrot
Новичок
*

Репутация: +5/-0
Offline Offline

Сообщений: 35


« Ответ #65 : 26 Апрель 2018, 22:17:48 »

А как вы ставили pyOpenSSL-0.14.tar.gz  ?
...

А зачем это делать???
Используйте версию с уже интегрированными библиотеками и экзешником: https://1fichier.com/?6azh99hfzl из этого поста: https://www.prxbx.com/forums/showthread.php?tid=2172&pid=19253#pid19253
Сообщить модератору   Записан
zed
Постоялец
***

Репутация: +4/-0
Offline Offline

Сообщений: 135


WWW
« Ответ #66 : 26 Апрель 2018, 22:22:33 »

HKLM
Чтобы поставить конкретную версию библиотеки, надо выполнить вот такую команду:
Код:
pip install pyOpenSSL==0.14

И ещё, вам скорее всего предварительно надо поставить setuptools:
Код:
pip install setuptools
« Последнее редактирование: 26 Апрель 2018, 22:26:53 от zed » Сообщить модератору   Записан
HKLM
Старожил
****

Репутация: +4/-1
Offline Offline

Сообщений: 304


« Ответ #67 : 26 Апрель 2018, 23:16:24 »

А зачем это делать???
Используйте версию с уже интегрированными библиотеками и экзешником: https://1fichier.com/?6azh99hfzl из этого поста: https://www.prxbx.com/forums/showthread.php?tid=2172&pid=19253#pid19253

Не знал, что есть такая тема на том форуме.
Все работает, правда ошибка осталась на cont.ws
23.04.2018/09:30:11 local/127.0.0.1 http://coms-bwxszt8x.cont.ws/socket.io/?EIO=3&transport=websocket 34 34/226 100% 723 "400 Bad Request"
Хотя это не так важно. Наверное не совместимо с WinXP.
Сообщить модератору   Записан
kichrot
Новичок
*

Репутация: +5/-0
Offline Offline

Сообщений: 35


« Ответ #68 : 26 Апрель 2018, 23:43:13 »

... правда ошибка осталась на cont.ws
...

Если мешает, то внесите данный сайт в исключения, занеся его в секцию [SSL Pass-Thru] в config.ini. Только кэшироваться в HC этот сайт уже не будет.
Сообщить модератору   Записан
Merh
Пользователь
**

Репутация: +0/-4
Offline Offline

Сообщений: 79


« Ответ #69 : 25 Июнь 2018, 03:51:17 »

А версия 1.5 сильно отличается от 1.4?
Есть смысл ставить?
Сообщить модератору   Записан
kichrot
Новичок
*

Репутация: +5/-0
Offline Offline

Сообщений: 35


« Ответ #70 : 11 Июль 2018, 22:30:33 »

HC реализует функцию RAM кэша.
Но, RAM кэш в HC работает по особому алгоритму, задуманному автором, мало снижает нагрузку на жесткий диск и мало влияет на скорость доступа к данным в кэше.
Я совместно с HC использую два дополнения для Fierfox, которые позволяют организовать практически полноценный RAM кэш в дополнение к кешу HC:

1) Load from Cache ( https://addons.mozilla.org/ru/firefox/addon/load-from-cache/?src=api )
2) Force Images into Cache ( https://addons.mozilla.org/ru/firefox/addon/force-images-into-cache/?src=api )

В Fierfox необходимо в настройках отключить кеш на диске и включить кэш в памяти.

Единственный минус в том, что эти дополнения работают только в Fierfox до 57 версии, Waterfox и Basilisk.
Сообщить модератору   Записан
Страниц: 1 2 3 [4]  Все   Вверх
  Отправить эту тему    Печать  

 
Перейти в: